<template src="./template.html"></template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from "nuxt-property-decorator";
import { apiErrorHandler } from "~/utils/apiHanlers";
var momentz = require("moment-timezone");
var moment = require("moment");
@Component({
  components: {
    EmptyData: () => import("@/components/Utils/EmptyData/index.vue"),
  },
})
export default class ProductsComponent extends Vue {
  @Prop()
  tab!: number;

  get listRevenueProduct() {
    return this.$store.state.home.listRevenueProduct;
  }
  set listRevenueProduct(value: any) {
    this.$store.commit("home/setListRevenueProduct", value);
  }

  sortPurchase = false;
  sortRevenueTotal = false;
  sortRevenue = false;
  sortView = false;
  sortAddToCart = false;
  sortCheckout = false;
  sortProductCost = false;
  sortRefund = false;
  sortAov = false;
  sortPcre = false;
  sortGoCheckout = false;

  onSortTableLowToHigh(insert: string) {
    const listRevenueProduct = [...this.listRevenueProduct];
    this.listRevenueProduct = this.$utils.sortList(
      listRevenueProduct,
      insert,
      "lowToHigh"
    );
    this.checkValueSort(insert);
  }
  checkValueSort(insert: string) {
    this.sortAov = insert === "aov";
    this.sortRevenueTotal = insert === "revenueTotal";
    this.sortView = insert === "view";
    this.sortAddToCart = insert === "addToCart";
    this.sortCheckout = insert === "checkout";
    this.sortRevenue = insert === "revenue";
    this.sortPurchase = insert === "purchase";
    this.sortProductCost = insert === "productCost";
    this.sortPcre = insert === "pc/re";
    this.sortRefund = insert == "refund";
    this.sortGoCheckout = insert === "goCheckout";
  }

  onSortTableHightToLow(insert: string) {
    const listRevenueProduct = [...this.listRevenueProduct];
    this.listRevenueProduct = this.$utils.sortList(
      listRevenueProduct,
      insert,
      "hightToLow"
    );
    if (insert === "goCheckout") {
      this.sortGoCheckout = false;
    }
    if (insert === "revenueTotal") {
      this.sortRevenueTotal = false;
    }
    if (insert == "view") {
      this.sortView = false;
    }
    if (insert == "addToCart") {
      this.sortAddToCart = false;
    }
    if (insert == "checkout") {
      this.sortCheckout = false;
    }
    if (insert == "revenue") {
      this.sortRevenue = false;
    }
    if (insert == "purchase") {
      this.sortPurchase = false;
    }
    if (insert == "productCost") {
      this.sortProductCost = false;
    }
    if (insert === "aov") {
      this.sortAov = false;
    }
    if (insert === "pc/re") {
      this.sortPcre = false;
    }
    if (insert === "refund") {
      this.sortRefund = false;
    }
  }
}
</script>
